"""
Autogenerated module using `pop-create-idem <https://gitlab.com/saltstack/pop/pop-create-idem>`__
"""


async def get(hub, ctx, user_id: str, org_id: str) -> None:
    """
    **Autogenerated function**
    
    Args:
        user_id(str): User ID requesting data
.
        org_id(str): Org Id of user requesting data
.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.customer_support.get(ctx, user_id=value, org_id=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.customer_support.get user_id=value, org_id=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="get",
        path=ctx.acct.endpoint_url + "/customer-support/inputs".format(**{}),
        query_params={"userId": user_id, "orgId": org_id},
        data={}
    )

